 /* 带标签的区域 */
.shape {    
  border-style: solid;
    border-width: 0 70px 40px 0;
    float: right;
    height: 0px;
    width: 0px;
  -ms-transform: rotate(360deg);
  -o-transform: rotate(360deg);
  -webkit-transform: rotate(360deg);
  transform: rotate(360deg);
}
.offer {
  background: #fff;
  border: 1px solid #ebebeb;
  box-shadow: 0 1px 15px 1px rgba(77, 82, 89, .075);
  margin: 15px 0; 
  overflow: hidden;
}
.shape {
  border-color: rgba(255, 255, 255, 0) #4d5259 rgba(255, 255, 255, 0) rgba(255, 255, 255, 0);
}
.offer-primary {
    border-color: var(--bs-primary);
}
.offer-primary .shape {
  border-color: transparent var(--bs-primary) transparent transparent;
}
.offer-danger {
    border-color: var(--bs-danger);
}
.offer-danger .shape {
  border-color: transparent var(--bs-danger) transparent transparent;
}
.offer-success {
  border-color: var(--bs-success);
}
.offer-success .shape {
  border-color: transparent var(--bs-success) transparent transparent;
}
.offer-default {
    border-color: #eff2f7;
}
.offer-default .shape {
  border-color: transparent #eff2f7 transparent transparent;
}
.offer-info {
    border-color: var(--bs-info);
}
.offer-info .shape {
  border-color: transparent var(--bs-info) transparent transparent;
}
.offer-warning {
    border-color: var(--bs-warning);
}
.offer-warning .shape {
  border-color: transparent var(--bs-warning) transparent transparent;
}
.shape-text {
  color: #fff;
  font-size: 12px;
  font-weight: bold; 
  position: relative;     
  right: -47px;
    top: 0px;
  white-space: nowrap;
  -ms-transform: rotate(30deg); 
  -o-transform: rotate(360deg); 
  -webkit-transform: rotate(30deg);
  transform: rotate(30deg);
} 
.offer-content {
  padding: 20px;
}
/* 上两个可弄成通用类 */
.ribbon {
    width: 150px;
    height: 150px;
    overflow: hidden;
    position: absolute;
    z-index: 10;
}
.ribbon-top-left {
    top: -10px;
    left: -10px;
}
.ribbon::before,
.ribbon::after {
  position: absolute;
  z-index: -1;
  content: '';
  display: block;
  border: 5px solid;
}
.ribbon span {
  position: absolute;
  display: block;
  width: 225px;
  padding: 8px 0;
  box-shadow: 0 3px 10px rgba(0, 0, 0, .075);
  color: #fff;
  text-shadow: 0 1px 1px rgba(0, 0, 0, .2);
  text-transform: capitalize;
  text-align: center;
}
.ribbon-top-left {
  top: -10px;
  left: -10px;
}
.ribbon-top-left::before,
.ribbon-top-left::after {
  border-top-color: transparent;
  border-left-color: transparent;
}
.ribbon-top-left::before {
  top: 0;
  right: 50px;
}
.ribbon-top-left::after {
  bottom: 50px;
  left: 0;
}
.ribbon-top-left span {
  right: -8px;
    top: 30px;
    transform: rotate(-45deg);
}
.ribbon-top-right {
  top: -10px;
  right: -10px;
}
.ribbon-top-right::before,
.ribbon-top-right::after {
  border-top-color: transparent;
  border-right-color: transparent;
}
.ribbon-top-right::before {
  top: 0;
  left: 36px
}
.ribbon-top-right::after {
  bottom: 36px;
  right: 0;
}
.ribbon-top-right span {
  left: -8px;
  top: 30px;
  transform: rotate(45deg);
}
.bg
{
  background-image: url('/images/body.jpg');  
  background-size: cover; /* 背景图片覆盖整个div区域 */
  background-position: top; /* 背景图片居中 */ 
  background-attachment: fixed; /* 背景图片固定不动 */
}
.list-chose li {
    margin-bottom: 10px;
}
.list-chose li:last-child {
    margin-bottom: 0px;
}
.list-chose li span.title {
    font-weight: 700;
}
.list-chose li a {
    color: #4d5259;
    margin: 0px 5px;
    padding: 3px 5px;
    line-height: 30px;
    white-space: nowrap;
}
.list-chose li a:hover,
.list-chose li a.active {
    background-color: var(--bs-primary);
    color: #fff;
}
.multi-chosen .mdi-close {
    display: none;
}
.multi-chosen a.active .mdi-close {
    display: inherit;
}
.list-chose li.positions {
    position: relative;
    height: 30px;
    overflow: hidden;
}
.list-chose li a.more {
    position: absolute;
    cursor: pointer;
    padding: 0px;
    top: 0px;
    right: 0px;
}
.list-chose li a.more:after {
    font-family: "Material Design Icons";
    content: "\F0EF0";
    font-size: 18px;
    -webkit-transition: -webkit-transform 0.25s linear;
    transition: -webkit-transform 0.25s linear;
    transition: transform 0.25s linear;
    transition: transform 0.25s linear, -webkit-transform 0.25s linear;
}
.list-chose li.positions.on {
    height: auto;
}
.list-chose li.positions.on a.more:after {
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg);
}
.list-chose li a.more:hover {
    color: #4d5259;
    background-color: transparent;
}